package com.sf.system.deployment.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 发布列表对象 DEPLOYMENT_SERVICE_PUBLISH
 * 
 * @author ztzh
 * @date 2024-04-19
 */
public class DeploymentServicePublish extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 应用id */
    @Excel(name = "应用id")
    private Long applyId;

    /** 应用name */
    @Excel(name = "应用name")
    private String appName;

    /** 系统类型 */
    @Excel(name = "系统类型")
    private String systemType;

    /** 安装包编号 */
    @Excel(name = "安装包编号")
    private Long apkId;

    /** app store地址 */
    @Excel(name = "app store地址")
    private String appStoreAddress;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 版本说明 */
    @Excel(name = "版本说明")
    private String versionDesc;

    /** 发布环境 */
    @Excel(name = "发布环境")
    private Long publishEnvironment;

    /** 发布策略 */
    @Excel(name = "发布策略")
    private Long publishStrategy;

    /** 通知 */
    @Excel(name = "通知")
    private Long resultNotify;

    /** 公开版 */
    @Excel(name = "公开版")
    private Long publicVersion;

    /** 强制更新 */
    @Excel(name = "强制更新")
    private Long forceUpdate;

    /** 下载验证 */
    @Excel(name = "下载验证")
    private Long downloadVerification;

    /** 更新对象(-1: 不限制, 白名单id) */
    @Excel(name = "更新对象(-1: 不限制, 白名单id)")
    private Long updateObject;

    /** 有效期开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityStartTime;

    /** 有效期结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validityEndTime;

    /** 0:保存,1:已发布,2:已下架 */
    @Excel(name = "0:保存,1:已发布,2:已下架")
    private Long status;

    /** 逻辑删除,0:未删除,1:删除 */
    private Long isDelete;

    /** 创建人 */
    private String created;

    /** 更新人 */
    private String modified;

    /** 系统编码 */
    private String appCode;


    /** 二维码 */
    private String quickMark;


    public String getQuickMark() {
        return quickMark;
    }

    public void setQuickMark(String quickMark) {
        this.quickMark = quickMark;
    }

    public String getAppCode() {
        return appCode;
    }

    public void setAppCode(String appCode) {
        this.appCode = appCode;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setAppName(String appName) 
    {
        this.appName = appName;
    }

    public String getAppName() 
    {
        return appName;
    }
    public void setSystemType(String systemType) 
    {
        this.systemType = systemType;
    }

    public String getSystemType() 
    {
        return systemType;
    }
    public void setApkId(Long apkId)
    {
        this.apkId = apkId;
    }

    public Long getApkId()
    {
        return apkId;
    }
    public void setAppStoreAddress(String appStoreAddress) 
    {
        this.appStoreAddress = appStoreAddress;
    }

    public String getAppStoreAddress() 
    {
        return appStoreAddress;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setVersionDesc(String versionDesc) 
    {
        this.versionDesc = versionDesc;
    }

    public String getVersionDesc() 
    {
        return versionDesc;
    }
    public void setPublishEnvironment(Long publishEnvironment) 
    {
        this.publishEnvironment = publishEnvironment;
    }

    public Long getPublishEnvironment() 
    {
        return publishEnvironment;
    }
    public void setPublishStrategy(Long publishStrategy) 
    {
        this.publishStrategy = publishStrategy;
    }

    public Long getPublishStrategy() 
    {
        return publishStrategy;
    }
    public void setResultNotify(Long resultNotify) 
    {
        this.resultNotify = resultNotify;
    }

    public Long getResultNotify() 
    {
        return resultNotify;
    }
    public void setPublicVersion(Long publicVersion) 
    {
        this.publicVersion = publicVersion;
    }

    public Long getPublicVersion() 
    {
        return publicVersion;
    }
    public void setForceUpdate(Long forceUpdate) 
    {
        this.forceUpdate = forceUpdate;
    }

    public Long getForceUpdate() 
    {
        return forceUpdate;
    }
    public void setDownloadVerification(Long downloadVerification) 
    {
        this.downloadVerification = downloadVerification;
    }

    public Long getDownloadVerification() 
    {
        return downloadVerification;
    }
    public void setUpdateObject(Long updateObject) 
    {
        this.updateObject = updateObject;
    }

    public Long getUpdateObject() 
    {
        return updateObject;
    }
    public void setValidityStartTime(Date validityStartTime) 
    {
        this.validityStartTime = validityStartTime;
    }

    public Date getValidityStartTime() 
    {
        return validityStartTime;
    }
    public void setValidityEndTime(Date validityEndTime) 
    {
        this.validityEndTime = validityEndTime;
    }

    public Date getValidityEndTime() 
    {
        return validityEndTime;
    }
    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreated(String created) 
    {
        this.created = created;
    }

    public String getCreated() 
    {
        return created;
    }
    public void setModified(String modified) 
    {
        this.modified = modified;
    }

    public String getModified() 
    {
        return modified;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyId", getApplyId())
            .append("appName", getAppName())
            .append("systemType", getSystemType())
            .append("apkId", getApkId())
            .append("appStoreAddress", getAppStoreAddress())
            .append("version", getVersion())
            .append("versionDesc", getVersionDesc())
            .append("publishEnvironment", getPublishEnvironment())
            .append("publishStrategy", getPublishStrategy())
            .append("resultNotify", getResultNotify())
            .append("publicVersion", getPublicVersion())
            .append("forceUpdate", getForceUpdate())
            .append("downloadVerification", getDownloadVerification())
            .append("updateObject", getUpdateObject())
            .append("validityStartTime", getValidityStartTime())
            .append("validityEndTime", getValidityEndTime())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("appCode", getAppCode())
            .append("quickMark", getQuickMark())
            .toString();
    }
}
